Subject: Bug#3047: cron script problem? (fwd)

From: Herbert Thielen <[email-masked]>
Date: Wed, 28 Aug 1996 17:05:11 +0200 (MET DST)

Seems as if this message didn't find it's way to the debian bug log's,
because I didn't reply in the right way. So I send it again.

Regards
	Herbert.

----- Forwarded message from thielen -----

>From thielen Sat Aug 17 13:03:38 1996
Subject: Re: Bug#3047: cron script problem?
To: [email-masked], [email-masked]
Date: Sat, 17 Aug 1996 13:03:38 +0200 (MET DST)
Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Bruce Perens" at May 17, 96 11:36:00 am
X-Mailer: ELM [version 2.4 PL24 ME7a]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Length: 1366      

Bruce Perens's mail:

> Package: cron
> From: "Ariel O. Garcia" <[email-masked]>
> when running /etc/cron.daily/find, cron sends me the following mail:
> **********************
> From: root (Cron Daemon)
> Subject: Cron <root@cabtep2> run-parts /etc/cron.daily
> X-Cron-Env: <SHELL=/bin/sh>
> X-Cron-Env: <PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin>
> X-Cron-Env: <HOME=/root>
> X-Cron-Env: <LOGNAME=root>
> 
> run-parts: /etc/cron.daily/find exited with return code 1
> *****************************
> the /etc/dron.daily/find file is:
> *****************************
> #! /bin/sh
> #
> # cron script to update the `find.codes' database.
> #
> # Written by Ian A. Murdock <[email-masked]>.
> 
> su nobody -c "cd / && updatedb" 2>/dev/null
> *************************

Don't know if anyone answered yet - I've read this through the mirrord
WebPages.

I had the same problem in April this year. The problem at my system was
that `nobody' didn't have a valid shell, so `su' didn't work. The
following change fixed it:

--- /etc/passwd	1996/04/24 09:15:14	1.4
+++ /etc/passwd	1996/04/29 13:18:45	1.5
@@ -24 +24 @@
-nobody:*:65534:65534:nobody:/dev/null:/dev/null
+nobody:*:65534:65534:nobody:/dev/null:

So it's not a problem of the cron package. I noticed that this is fixed
in base 1.1.0-14, probably earlier.

Regards
	Herbert.

----- End of forwarded message from thielen -----